
package com.example.nto.entity;

import javax.persistence.*;
import lombok.*;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "employee")
public class Employee {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @Column(unique = true, nullable = false)
    private String login;

    private String name;
    private String photo;
    private String position;

    @Column(name = "last_visit")
    private LocalDateTime lastVisit;

    private String password;
    private String role;

    @Column(nullable = false)
    private String status = "works"; // Новый статус: 'works' или 'blocked'

    //ту ду реши что оставить из этих двоих

    public boolean isBlocked() {
        return "blocked".equals(status);
    }
     // Время последнего визита

    @Column(name = "last_entry_code")
    private Long lastEntryCode; // Последний использованный код

    @Column(name = "entry_method")
    private String entryMethod; // Метод входа (QR, карта и т.д.)


    public LocalDateTime getLastVisit() { return lastVisit; }
    public void setLastVisit(LocalDateTime lastVisit) { this.lastVisit = lastVisit; }

    public Long getLastEntryCode() { return lastEntryCode; }
    public void setLastEntryCode(Long lastEntryCode) { this.lastEntryCode = lastEntryCode; }

    public String getEntryMethod() { return entryMethod; }
    public void setEntryMethod(String entryMethod) { this.entryMethod = entryMethod; }
}



