-- Создание таблицы employee
CREATE TABLE IF NOT EXISTS employee (
    id INT PRIMARY KEY AUTO_INCREMENT,
    login VARCHAR(255) UNIQUE NOT NULL,
    name VARCHAR(255) NOT NULL,
    photo VARCHAR(255),
    position VARCHAR(255),
    last_visit TIMESTAMP,
    password VARCHAR(255) NOT NULL,  -- Зашифрованный пароль
    role VARCHAR(50) NOT NULL,
    status VARCHAR(20) DEFAULT 'works', -- Новый статус
    last_entry_code BIGINT,  -- Код последнего входа
    entry_method VARCHAR(50) -- Метод входа (например, QR)
);

-- Вставка данных в таблицу employee
INSERT INTO employee (id, login, name, photo, position, last_visit, password, role, status, last_entry_code, entry_method)
VALUES
    (1, 'pivanov', 'Иванов Петр Федорович',
     'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg',
     'Разработчик', '2024-02-12T08:30',
     '$2a$10$LRykcZHYR0tb72biv9aqp./icK7ReK57gRFDd74kiF02ZoZqQtnEm',
     'ADMIN', 'works', 1234567890123456789, 'QR'),

    (2, 'ipetrov', 'Петров Иван Константинович',
     'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg',
     'Аналитик', '2024-02-13T08:35',
     '$2a$10$rscyLIftEqucmDbSzBHZbO5DUOyICzkYXzQ4stJfbSN.Ao9R4kfQe',
     'USER', 'works', NULL, NULL),

    (3, 'asemenov', 'Семенов Анатолий Анатольевич',
     'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg',
     'Разработчик', '2024-02-13T08:31',
     '$2a$10$o/g9lV7iDi.WhwztohTcfuIEhHHWUo5xlR0Vvdy2xaaI3RNwfbqzO',
     'USER', 'works', NULL, NULL),

    (4, 'afedorov', 'Федоров Александр Сергеевич',
     'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg',
     'Тестировщик', '2024-02-12T08:36',
     '$2a$10$s33LR8PuMLQJQY85.zusceJVJLUn8mwEEwAsAUzQIaiwnjeKjt.km',
     'USER', 'works', NULL, NULL);

-- Создание таблицы code
CREATE TABLE IF NOT EXISTS code (
    value BIGINT PRIMARY KEY,
    employee_id INT,
    FOREIGN KEY (employee_id) REFERENCES employee(id) ON DELETE CASCADE
);

-- Вставка данных в таблицу code
INSERT INTO code (value, employee_id) VALUES
    (1234567890123456789, 1),
    (9223372036854775807, 2),
    (1122334455667788990, 3),
    (998877665544332211, 4),
    (5566778899001122334, 1);